	.data
m__memory__mapped__files:
	.long	19
	.ascii	"memory_mapped_fi"
	.ascii	"les"
	.byte	0
	.long	m__memory__mapped__files
	.long	i_2
	.globl	e__memory__mapped__files__kMyString
e__memory__mapped__files__kMyString:
	.word	257
	.word	1
	.ascii	"da"
	.byte	0,0
i_2:
l_1:
	.long	8
	.ascii	"MyString"
	.long	m__memory__mapped__files
	.align	4
	.long	e__memory__mapped__files__dMyString+2
	.word	0
	.word	1
	.globl	e__memory__mapped__files__dMyString
e__memory__mapped__files__dMyString:
	.word	0
	.word	0
	.long	e__memory__mapped__files__lMyString
	.word	1
	.word	8
i_4:
l_2:
	.long	8
	.ascii	"MyString"
	.long	m__memory__mapped__files
	.align	4
	.long	e__memory__mapped__files__dST+2
	.word	0
	.word	0
	.globl	e__memory__mapped__files__dST
e__memory__mapped__files__dST:
	.word	0
	.word	0
i_8:
l_3:
	.long	2
	.ascii	"ST"
	.byte	0,0
	.long	m__memory__mapped__files
	.align	4
	.long	e__memory__mapped__files__dNULL+2
	.word	0
	.word	0
	.globl	e__memory__mapped__files__dNULL
e__memory__mapped__files__dNULL:
	.word	0
	.word	0
i_11:
l_4:
	.long	4
	.ascii	"NULL"
	.long	m__memory__mapped__files
	.align	4
	.long	e__memory__mapped__files__dPtr+2
	.word	0
	.word	1
	.globl	e__memory__mapped__files__dPtr
e__memory__mapped__files__dPtr:
	.word	0
	.word	0
	.long	yet_args_needed_0
	.word	1
	.word	8
i_14:
l_5:
	.long	3
	.ascii	"Ptr"
	.byte	0
	.long	m__memory__mapped__files
	.align	4
	.long	e__memory__mapped__files__d____Module+2
	.word	0
	.word	0
	.globl	e__memory__mapped__files__d____Module
e__memory__mapped__files__d____Module:
	.word	0
	.word	0
i_18:
l_6:
	.long	8
	.ascii	"__Module"
	.long	m__memory__mapped__files
	.align	4
	.long	e__memory__mapped__files__dCreateSharedString+2
	.word	0
	.word	3
	.globl	e__memory__mapped__files__dCreateSharedString
e__memory__mapped__files__dCreateSharedString:
	.word	0
	.word	0
	.long	yet_args_needed_0
	.word	1
	.word	8
	.long	yet_args_needed_1
	.word	2
	.word	16
	.long	e__memory__mapped__files__lCreateSharedString
	.word	3
	.word	24
i_21:
l_7:
	.long	18
	.ascii	"CreateSharedStri"
	.ascii	"ng"
	.byte	0,0
	.long	m__memory__mapped__files
	.align	4
	.long	e__memory__mapped__files__dGetFileSize+2
	.word	0
	.word	3
	.globl	e__memory__mapped__files__dGetFileSize
e__memory__mapped__files__dGetFileSize:
	.word	0
	.word	0
	.long	yet_args_needed_0
	.word	1
	.word	8
	.long	yet_args_needed_1
	.word	2
	.word	16
	.long	e__memory__mapped__files__lGetFileSize
	.word	3
	.word	24
i_26:
l_8:
	.long	11
	.ascii	"GetFileSize"
	.byte	0
	.long	m__memory__mapped__files
	.align	4
	.long	e__memory__mapped__files__dCloseHandle+2
	.word	0
	.word	2
	.globl	e__memory__mapped__files__dCloseHandle
e__memory__mapped__files__dCloseHandle:
	.word	0
	.word	0
	.long	yet_args_needed_0
	.word	1
	.word	8
	.long	e__memory__mapped__files__lCloseHandle
	.word	2
	.word	16
i_30:
l_9:
	.long	11
	.ascii	"CloseHandle"
	.byte	0
	.long	m__memory__mapped__files
	.align	4
	.long	e__memory__mapped__files__dUnmapViewOfFile+2
	.word	0
	.word	2
	.globl	e__memory__mapped__files__dUnmapViewOfFile
e__memory__mapped__files__dUnmapViewOfFile:
	.word	0
	.word	0
	.long	yet_args_needed_0
	.word	1
	.word	8
	.long	e__memory__mapped__files__lUnmapViewOfFile
	.word	2
	.word	16
i_34:
l_10:
	.long	15
	.ascii	"UnmapViewOfFile"
	.byte	0
	.long	m__memory__mapped__files
	.align	4
	.long	e__memory__mapped__files__dCreateFile+2
	.word	0
	.word	8
	.globl	e__memory__mapped__files__dCreateFile
e__memory__mapped__files__dCreateFile:
	.word	0
	.word	0
	.long	yet_args_needed_0
	.word	1
	.word	8
	.long	yet_args_needed_1
	.word	2
	.word	16
	.long	yet_args_needed_2
	.word	3
	.word	24
	.long	yet_args_needed_3
	.word	4
	.word	32
	.long	yet_args_needed_4
	.word	5
	.word	40
	.long	yet_args_needed
	.word	6
	.word	48
	.long	yet_args_needed
	.word	7
	.word	56
	.long	e__memory__mapped__files__lCreateFile
	.word	8
	.word	64
i_38:
l_11:
	.long	10
	.ascii	"CreateFile"
	.byte	0,0
	.long	m__memory__mapped__files
	.align	4
	.long	e__memory__mapped__files__dGetCurrentProcess+2
	.word	0
	.word	1
	.globl	e__memory__mapped__files__dGetCurrentProcess
e__memory__mapped__files__dGetCurrentProcess:
	.word	0
	.word	0
	.long	e__memory__mapped__files__lGetCurrentProcess
	.word	1
	.word	8
i_46:
l_12:
	.long	17
	.ascii	"GetCurrentProces"
	.ascii	"s"
	.byte	0,0,0
	.long	m__memory__mapped__files
	.align	4
	.long	e__memory__mapped__files__dDuplicateHandle+2
	.word	0
	.word	8
	.globl	e__memory__mapped__files__dDuplicateHandle
e__memory__mapped__files__dDuplicateHandle:
	.word	0
	.word	0
	.long	yet_args_needed_0
	.word	1
	.word	8
	.long	yet_args_needed_1
	.word	2
	.word	16
	.long	yet_args_needed_2
	.word	3
	.word	24
	.long	yet_args_needed_3
	.word	4
	.word	32
	.long	yet_args_needed_4
	.word	5
	.word	40
	.long	yet_args_needed
	.word	6
	.word	48
	.long	yet_args_needed
	.word	7
	.word	56
	.long	e__memory__mapped__files__lDuplicateHandle
	.word	8
	.word	64
i_50:
l_13:
	.long	15
	.ascii	"DuplicateHandle"
	.byte	0
	.long	m__memory__mapped__files
	.align	4
	.long	e__memory__mapped__files__dMapViewOfFile+2
	.word	0
	.word	6
	.globl	e__memory__mapped__files__dMapViewOfFile
e__memory__mapped__files__dMapViewOfFile:
	.word	0
	.word	0
	.long	yet_args_needed_0
	.word	1
	.word	8
	.long	yet_args_needed_1
	.word	2
	.word	16
	.long	yet_args_needed_2
	.word	3
	.word	24
	.long	yet_args_needed_3
	.word	4
	.word	32
	.long	yet_args_needed_4
	.word	5
	.word	40
	.long	e__memory__mapped__files__lMapViewOfFile
	.word	6
	.word	48
i_54:
l_14:
	.long	13
	.ascii	"MapViewOfFile"
	.byte	0,0,0
	.long	m__memory__mapped__files
	.align	4
	.long	e__memory__mapped__files__dCreateFileMapping+2
	.word	0
	.word	7
	.globl	e__memory__mapped__files__dCreateFileMapping
e__memory__mapped__files__dCreateFileMapping:
	.word	0
	.word	0
	.long	yet_args_needed_0
	.word	1
	.word	8
	.long	yet_args_needed_1
	.word	2
	.word	16
	.long	yet_args_needed_2
	.word	3
	.word	24
	.long	yet_args_needed_3
	.word	4
	.word	32
	.long	yet_args_needed_4
	.word	5
	.word	40
	.long	yet_args_needed
	.word	6
	.word	48
	.long	e__memory__mapped__files__lCreateFileMapping
	.word	7
	.word	56
i_58:
l_15:
	.long	17
	.ascii	"CreateFileMappin"
	.ascii	"g"
	.byte	0,0,0
	.long	m__memory__mapped__files
	.align	4
	.long	e__memory__mapped__files__dGetCurrentDirectory+2
	.word	0
	.word	0
	.globl	e__memory__mapped__files__dGetCurrentDirectory
e__memory__mapped__files__dGetCurrentDirectory:
	.word	0
	.word	0
i_62:
l_16:
	.long	19
	.ascii	"GetCurrentDirect"
	.ascii	"ory"
	.byte	0
l_17:
	.align	4
	.long	__STRING__+2
	.long	6
	.ascii	"akakla"
	.byte	0,0
	.long	m__memory__mapped__files
	.align	4
	.long	e__memory__mapped__files__dGetCurrentDirectory_I76_P3+2
	.word	0
	.word	0
	.globl	e__memory__mapped__files__dGetCurrentDirectory_I76_P3
e__memory__mapped__files__dGetCurrentDirectory_I76_P3:
	.word	2
	.word	0
i_67:
l_18:
	.long	24
	.ascii	"GetCurrentDirect"
	.ascii	"ory"
	.byte	0x3b
	.ascii	"76"
	.byte	0x2e
	.ascii	"3"
l_19:
	.align	4
	.long	__STRING__+2
	.long	0
	.long	m__memory__mapped__files
	.align	4
	.long	e__memory__mapped__files__dGetLastError+2
	.word	0
	.word	0
	.globl	e__memory__mapped__files__dGetLastError
e__memory__mapped__files__dGetLastError:
	.word	0
	.word	0
i_71:
l_20:
	.long	12
	.ascii	"GetLastError"
	.long	m__memory__mapped__files
	.align	4
	.long	e__memory__mapped__files__dCloseST+2
	.word	0
	.word	1
	.globl	e__memory__mapped__files__dCloseST
e__memory__mapped__files__dCloseST:
	.word	0
	.word	0
	.long	e__memory__mapped__files__lCloseST
	.word	1
	.word	8
i_74:
l_21:
	.long	7
	.ascii	"CloseST"
	.byte	0
	.long	m__memory__mapped__files
	.align	4
	.long	e__memory__mapped__files__dinitialState+2
	.word	0
	.word	0
	.globl	e__memory__mapped__files__dinitialState
e__memory__mapped__files__dinitialState:
	.word	0
	.word	0
i_78:
l_22:
	.long	12
	.ascii	"initialState"
	.text
e__memory__mapped__files__lMyString:
	cmpl	end_heap,%edi
	jae	i_81
i_82:
	movl	%ecx,%edx
	movl	$__cycle__in__spine,(%edi)
	movl	%edi,%ecx
	addl	$12,%edi
	jmp	e__memory__mapped__files__eaMyString
	.align	4
	movl	$e__memory__mapped__files__eaMyString,%ebp
	jmp	eval_upd_1
	nop
	nop
	.long	e__memory__mapped__files__dMyString
	.long	1
	.globl	e__memory__mapped__files__nMyString
e__memory__mapped__files__nMyString:
	movl	$__cycle__in__spine,(%ecx)
	movl	4(%ecx),%edx
	.globl	e__memory__mapped__files__eaMyString
e__memory__mapped__files__eaMyString:
	testb	$2,(%edx)
	jne	e_0
	movl	%ecx,(%esi)
	addl	$4,%esi
	movl	%edx,%ecx
	call	(%edx)
	movl	%ecx,%edx
	movl	-4(%esi),%ecx
	subl	$4,%esi
e_0:
	movl	$e__memory__mapped__files__kMyString+2,(%ecx)
	movl	4(%edx),%ebp
	movl	%ebp,4(%ecx)
	ret
e__memory__mapped__files__lCreateSharedString:
	movl	%ecx,(%esi)
	movl	8(%edx),%ecx
	movl	4(%edx),%edx
	leal	4(%esi),%esi
	call	ea26
	cmpl	end_heap,%edi
	jae	i_83
i_84:
	movl	$ARRAY+10,(%edi)
	movl	%edx,4(%edi)
	movl	%edi,%eax
	movl	$__Tuple+18,8(%edi)
	movl	%eax,12(%edi)
	movl	%ecx,16(%edi)
	leal	8(%edi),%ecx
	addl	$20,%edi
	ret
	.align	4
	.long	e__memory__mapped__files__dCreateSharedString
	.long	3
	.globl	e__memory__mapped__files__nCreateSharedString
e__memory__mapped__files__nCreateSharedString:
	movl	12(%ecx),%ebp
	movl	%ebp,4(%esi)
	movl	%ecx,(%esi)
	movl	$__cycle__in__spine,(%ecx)
	movl	4(%ecx),%edx
	movl	8(%ecx),%ecx
	leal	8(%esi),%esi
	call	ea26
	cmpl	end_heap,%edi
	jae	i_85
i_86:
	movl	$ARRAY+10,(%edi)
	movl	%edx,4(%edi)
	movl	%edi,%eax
	movl	-4(%esi),%edx
	movl	$__Tuple+18,(%edx)
	movl	%eax,4(%edx)
	movl	%ecx,8(%edx)
	movl	%edx,%ecx
	addl	$8,%edi
	leal	-4(%esi),%esi
	ret
ea26:
	movl	%ecx,(%esi)
	movl	%edx,%ecx
	movl	-4(%esi),%edx
	leal	4(%esi),%esi
	testb	$2,(%edx)
	jne	e_1
	movl	%ecx,(%esi)
	addl	$4,%esi
	movl	%edx,%ecx
	call	(%edx)
	movl	%ecx,%edx
	movl	-4(%esi),%ecx
	subl	$4,%esi
e_1:
	movl	%ecx,%edx
	movl	-4(%esi),%ecx
	leal	-4(%esi),%esi
	testb	$2,(%ecx)
	jne	e_2
	movl	%edx,(%esi)
	addl	$4,%esi
	call	(%ecx)
	movl	-4(%esi),%edx
	subl	$4,%esi
e_2:
	testb	$2,(%edx)
	jne	e_3
	movl	%ecx,(%esi)
	addl	$4,%esi
	movl	%edx,%ecx
	call	(%edx)
	movl	%ecx,%edx
	movl	-4(%esi),%ecx
	subl	$4,%esi
e_3:
	movl	4(%ecx),%eax
	movl	4(%edx),%ebx
	movl	-4(%esi),%ecx
	leal	-4(%esi),%esi
	.globl	e__memory__mapped__files__sCreateSharedString
e__memory__mapped__files__sCreateSharedString:
s26:
	cmpl	end_heap,%edi
	jae	i_87
i_88:
	movl	%ecx,(%esi)
	movl	$__cycle__in__spine,(%edi)
	movl	%edi,%ecx
	addl	$12,%edi
	leal	4(%esi),%esi
	call	s13
	movl	4(%ecx),%edx
	movl	-4(%esi),%ecx
	leal	-4(%esi),%esi
	ret
s13:
	movl	%ecx,(%esi)
	leal	4(%esi),%esi
	pushl	%eax
	pushl	%ebx
	call	_createsharedstring
	addl	$8,%esp
	movl	-4(%esi),%ecx
	movl	$e__memory__mapped__files__kMyString+2,(%ecx)
	movl	%eax,4(%ecx)
	leal	-4(%esi),%esi
	ret
e__memory__mapped__files__lGetFileSize:
	movl	%ecx,(%esi)
	movl	8(%edx),%ecx
	movl	4(%edx),%edx
	leal	4(%esi),%esi
	call	ea25
	cmpl	end_heap,%edi
	jae	i_89
i_90:
	movl	$INT+2,(%edi)
	movl	%eax,4(%edi)
	movl	%edi,%eax
	movl	$__Tuple+18,8(%edi)
	movl	%eax,12(%edi)
	movl	%ecx,16(%edi)
	leal	8(%edi),%ecx
	addl	$20,%edi
	ret
	.align	4
	.long	e__memory__mapped__files__dGetFileSize
	.long	3
	.globl	e__memory__mapped__files__nGetFileSize
e__memory__mapped__files__nGetFileSize:
	movl	12(%ecx),%ebp
	movl	%ebp,4(%esi)
	movl	%ecx,(%esi)
	movl	$__cycle__in__spine,(%ecx)
	movl	4(%ecx),%edx
	movl	8(%ecx),%ecx
	leal	8(%esi),%esi
	call	ea25
	cmpl	end_heap,%edi
	jae	i_91
i_92:
	movl	$INT+2,(%edi)
	movl	%eax,4(%edi)
	movl	%edi,%eax
	movl	-4(%esi),%edx
	movl	$__Tuple+18,(%edx)
	movl	%eax,4(%edx)
	movl	%ecx,8(%edx)
	movl	%edx,%ecx
	addl	$8,%edi
	leal	-4(%esi),%esi
	ret
ea25:
	movl	%ecx,(%esi)
	movl	%edx,%ecx
	movl	-4(%esi),%edx
	leal	4(%esi),%esi
	testb	$2,(%edx)
	jne	e_4
	movl	%ecx,(%esi)
	addl	$4,%esi
	movl	%edx,%ecx
	call	(%edx)
	movl	%ecx,%edx
	movl	-4(%esi),%ecx
	subl	$4,%esi
e_4:
	movl	%ecx,%edx
	movl	-4(%esi),%ecx
	leal	-4(%esi),%esi
	testb	$2,(%ecx)
	jne	e_5
	movl	%edx,(%esi)
	addl	$4,%esi
	call	(%ecx)
	movl	-4(%esi),%edx
	subl	$4,%esi
e_5:
	testb	$2,(%edx)
	jne	e_6
	movl	%ecx,(%esi)
	addl	$4,%esi
	movl	%edx,%ecx
	call	(%edx)
	movl	%ecx,%edx
	movl	-4(%esi),%ecx
	subl	$4,%esi
e_6:
	movl	4(%edx),%eax
	movl	%ecx,%edx
	movl	-4(%esi),%ecx
	leal	-4(%esi),%esi
	.globl	e__memory__mapped__files__sGetFileSize
e__memory__mapped__files__sGetFileSize:
s25:
	cmpl	$e__memory__mapped__files__dNULL+2,(%edx)
	jne	s25_P1
case_P1:
	movl	%ecx,(%esi)
	movl	%eax,%ebx
	movl	$0,%eax
	leal	4(%esi),%esi
	call	s12
	movl	-4(%esi),%ecx
	leal	-4(%esi),%esi
	ret
s25_P1:
	movl	$m__memory__mapped__files,%eax
	movl	$l_8,%ebx
	jmp	__match__error
s12:
	pushl	%eax
	movl	%ebx,%eax
	pushl	%eax
	call	_GetFileSize@8
	ret
e__memory__mapped__files__lCloseHandle:
	movl	4(%edx),%edx
	call	ea24
	cmpl	end_heap,%edi
	jae	i_93
i_94:
	movl	$INT+2,(%edi)
	movl	%eax,4(%edi)
	movl	%edi,%eax
	movl	$__Tuple+18,8(%edi)
	movl	%eax,12(%edi)
	movl	%ecx,16(%edi)
	leal	8(%edi),%ecx
	addl	$20,%edi
	ret
	.align	4
	.long	e__memory__mapped__files__dCloseHandle
	.long	2
	.globl	e__memory__mapped__files__nCloseHandle
e__memory__mapped__files__nCloseHandle:
	movl	%ecx,(%esi)
	movl	$__cycle__in__spine,(%ecx)
	movl	4(%ecx),%edx
	movl	8(%ecx),%ecx
	leal	4(%esi),%esi
	call	ea24
	cmpl	end_heap,%edi
	jae	i_95
i_96:
	movl	$INT+2,(%edi)
	movl	%eax,4(%edi)
	movl	%edi,%eax
	movl	-4(%esi),%edx
	movl	$__Tuple+18,(%edx)
	movl	%eax,4(%edx)
	movl	%ecx,8(%edx)
	movl	%edx,%ecx
	addl	$8,%edi
	leal	-4(%esi),%esi
	ret
ea24:
	testb	$2,(%ecx)
	jne	e_7
	movl	%edx,(%esi)
	addl	$4,%esi
	call	(%ecx)
	movl	-4(%esi),%edx
	subl	$4,%esi
e_7:
	testb	$2,(%edx)
	jne	e_8
	movl	%ecx,(%esi)
	addl	$4,%esi
	movl	%edx,%ecx
	call	(%edx)
	movl	%ecx,%edx
	movl	-4(%esi),%ecx
	subl	$4,%esi
e_8:
	movl	4(%edx),%eax
	.globl	e__memory__mapped__files__sCloseHandle
e__memory__mapped__files__sCloseHandle:
s24:
	movl	%ecx,(%esi)
	leal	4(%esi),%esi
	call	s11
	movl	-4(%esi),%ecx
	leal	-4(%esi),%esi
	ret
s11:
	pushl	%eax
	call	_CloseHandle@4
	ret
e__memory__mapped__files__lUnmapViewOfFile:
	movl	4(%edx),%edx
	call	ea23
	cmpl	end_heap,%edi
	jae	i_97
i_98:
	movl	$INT+2,(%edi)
	movl	%eax,4(%edi)
	movl	%edi,%eax
	movl	$__Tuple+18,8(%edi)
	movl	%eax,12(%edi)
	movl	%ecx,16(%edi)
	leal	8(%edi),%ecx
	addl	$20,%edi
	ret
	.align	4
	.long	e__memory__mapped__files__dUnmapViewOfFile
	.long	2
	.globl	e__memory__mapped__files__nUnmapViewOfFile
e__memory__mapped__files__nUnmapViewOfFile:
	movl	%ecx,(%esi)
	movl	$__cycle__in__spine,(%ecx)
	movl	4(%ecx),%edx
	movl	8(%ecx),%ecx
	leal	4(%esi),%esi
	call	ea23
	cmpl	end_heap,%edi
	jae	i_99
i_100:
	movl	$INT+2,(%edi)
	movl	%eax,4(%edi)
	movl	%edi,%eax
	movl	-4(%esi),%edx
	movl	$__Tuple+18,(%edx)
	movl	%eax,4(%edx)
	movl	%ecx,8(%edx)
	movl	%edx,%ecx
	addl	$8,%edi
	leal	-4(%esi),%esi
	ret
ea23:
	testb	$2,(%ecx)
	jne	e_9
	movl	%edx,(%esi)
	addl	$4,%esi
	call	(%ecx)
	movl	-4(%esi),%edx
	subl	$4,%esi
e_9:
	testb	$2,(%edx)
	jne	e_10
	movl	%ecx,(%esi)
	addl	$4,%esi
	movl	%edx,%ecx
	call	(%edx)
	movl	%ecx,%edx
	movl	-4(%esi),%ecx
	subl	$4,%esi
e_10:
	movl	4(%edx),%eax
	.globl	e__memory__mapped__files__sUnmapViewOfFile
e__memory__mapped__files__sUnmapViewOfFile:
s23:
	movl	%ecx,(%esi)
	leal	4(%esi),%esi
	call	s10
	movl	-4(%esi),%ecx
	leal	-4(%esi),%esi
	ret
s10:
	pushl	%eax
	call	_UnmapViewOfFile@8
	ret
e__memory__mapped__files__lCreateFile:
	movl	%ecx,(%esi)
	movl	8(%edx),%ecx
	movl	20(%ecx),%ebp
	movl	%ebp,4(%esi)
	movl	16(%ecx),%ebp
	movl	%ebp,8(%esi)
	movl	12(%ecx),%ebp
	movl	%ebp,12(%esi)
	movl	8(%ecx),%ebp
	movl	%ebp,16(%esi)
	movl	4(%ecx),%ebp
	movl	%ebp,20(%esi)
	movl	(%ecx),%ecx
	movl	4(%edx),%edx
	leal	24(%esi),%esi
	call	ea22
	cmpl	end_heap,%edi
	jae	i_101
i_102:
	movl	$INT+2,(%edi)
	movl	%eax,4(%edi)
	movl	%edi,%eax
	movl	$__Tuple+18,8(%edi)
	movl	%eax,12(%edi)
	movl	%ecx,16(%edi)
	leal	8(%edi),%ecx
	addl	$20,%edi
	ret
	.align	4
	.long	e__memory__mapped__files__dCreateFile
	.long	8
	.globl	e__memory__mapped__files__nCreateFile
e__memory__mapped__files__nCreateFile:
	movl	32(%ecx),%ebp
	movl	%ebp,4(%esi)
	movl	28(%ecx),%ebp
	movl	%ebp,8(%esi)
	movl	24(%ecx),%ebp
	movl	%ebp,12(%esi)
	movl	20(%ecx),%ebp
	movl	%ebp,16(%esi)
	movl	16(%ecx),%ebp
	movl	%ebp,20(%esi)
	movl	12(%ecx),%ebp
	movl	%ebp,24(%esi)
	movl	%ecx,(%esi)
	movl	$__cycle__in__spine,(%ecx)
	movl	4(%ecx),%edx
	movl	8(%ecx),%ecx
	leal	28(%esi),%esi
	call	ea22
	cmpl	end_heap,%edi
	jae	i_103
i_104:
	movl	$INT+2,(%edi)
	movl	%eax,4(%edi)
	movl	%edi,%eax
	movl	-4(%esi),%edx
	movl	$__Tuple+18,(%edx)
	movl	%eax,4(%edx)
	movl	%ecx,8(%edx)
	movl	%edx,%ecx
	addl	$8,%edi
	leal	-4(%esi),%esi
	ret
ea22:
	movl	%ecx,(%esi)
	movl	%edx,%ecx
	movl	-24(%esi),%edx
	leal	4(%esi),%esi
	testb	$2,(%edx)
	jne	e_11
	movl	%ecx,(%esi)
	addl	$4,%esi
	movl	%edx,%ecx
	call	(%edx)
	movl	%ecx,%edx
	movl	-4(%esi),%ecx
	subl	$4,%esi
e_11:
	movl	-24(%esi),%edx
	testb	$2,(%edx)
	jne	e_12
	movl	%ecx,(%esi)
	addl	$4,%esi
	movl	%edx,%ecx
	call	(%edx)
	movl	%ecx,%edx
	movl	-4(%esi),%ecx
	subl	$4,%esi
e_12:
	movl	-20(%esi),%edx
	testb	$2,(%edx)
	jne	e_13
	movl	%ecx,(%esi)
	addl	$4,%esi
	movl	%edx,%ecx
	call	(%edx)
	movl	%ecx,%edx
	movl	-4(%esi),%ecx
	subl	$4,%esi
e_13:
	movl	-16(%esi),%edx
	testb	$2,(%edx)
	jne	e_14
	movl	%ecx,(%esi)
	addl	$4,%esi
	movl	%edx,%ecx
	call	(%edx)
	movl	%ecx,%edx
	movl	-4(%esi),%ecx
	subl	$4,%esi
e_14:
	movl	-12(%esi),%edx
	testb	$2,(%edx)
	jne	e_15
	movl	%ecx,(%esi)
	addl	$4,%esi
	movl	%edx,%ecx
	call	(%edx)
	movl	%ecx,%edx
	movl	-4(%esi),%ecx
	subl	$4,%esi
e_15:
	movl	-8(%esi),%edx
	testb	$2,(%edx)
	jne	e_16
	movl	%ecx,(%esi)
	addl	$4,%esi
	movl	%edx,%ecx
	call	(%edx)
	movl	%ecx,%edx
	movl	-4(%esi),%ecx
	subl	$4,%esi
e_16:
	movl	%ecx,%edx
	movl	-4(%esi),%ecx
	leal	-4(%esi),%esi
	testb	$2,(%ecx)
	jne	e_17
	movl	%edx,(%esi)
	addl	$4,%esi
	call	(%ecx)
	movl	-4(%esi),%edx
	subl	$4,%esi
e_17:
	testb	$2,(%edx)
	jne	e_18
	movl	%ecx,(%esi)
	addl	$4,%esi
	movl	%edx,%ecx
	call	(%edx)
	movl	%ecx,%edx
	movl	-4(%esi),%ecx
	subl	$4,%esi
e_18:
	movl	-20(%esi),%eax
	pushl	4(%eax)
	movl	-16(%esi),%eax
	pushl	4(%eax)
	movl	-12(%esi),%eax
	pushl	4(%eax)
	movl	4(%ecx),%ebx
	movl	-4(%esi),%ecx
	movl	4(%ecx),%eax
	movl	4(%edx),%edx
	movl	-8(%esi),%ecx
	leal	-20(%esi),%esi
	.globl	e__memory__mapped__files__sCreateFile
e__memory__mapped__files__sCreateFile:
s22:
	cmpl	$e__memory__mapped__files__dNULL+2,(%ecx)
	jne	s22_P1
case_P2:
	pushl	(%esp)
	pushl	$0
	movl	%edx,%ecx
	movl	16(%esp),%edx
	movl	$e_19,16(%esp)
	movl	12(%esp),%ebp
	movl	%edx,12(%esp)
	movl	%ebp,8(%esp)
	jmp	s9
e_19:
	movl	-4(%esi),%ecx
	leal	-4(%esi),%esi
	ret
s22_P1:
	movl	$l_11,%ebx
	movl	$m__memory__mapped__files,%eax
	leal	-4(%esi),%esi
	leal	12(%esp),%esp
	jmp	__match__error
s9:
	movl	%ecx,(%esi)
	leal	4(%esi),%esi
	pushl	12(%esp)
	pushl	12(%esp)
	pushl	12(%esp)
	pushl	12(%esp)
	pushl	%eax
	pushl	%ebx
	movl	-4(%esi),%ecx
	addl	$8,%ecx
	pushl	%ecx
	call	_CreateFileA@28
	subl	$4,%esi
	addl	$16,%esp
	ret
e__memory__mapped__files__lGetCurrentProcess:
	call	ea21
	cmpl	end_heap,%edi
	jae	i_105
i_106:
	movl	$INT+2,(%edi)
	movl	%eax,4(%edi)
	movl	%edi,%eax
	movl	$__Tuple+18,8(%edi)
	movl	%eax,12(%edi)
	movl	%ecx,16(%edi)
	leal	8(%edi),%ecx
	addl	$20,%edi
	ret
	.align	4
	.long	e__memory__mapped__files__dGetCurrentProcess
	.long	1
	.globl	e__memory__mapped__files__nGetCurrentProcess
e__memory__mapped__files__nGetCurrentProcess:
	movl	%ecx,(%esi)
	movl	$__cycle__in__spine,(%ecx)
	movl	4(%ecx),%ecx
	leal	4(%esi),%esi
	call	ea21
	cmpl	end_heap,%edi
	jae	i_107
i_108:
	movl	$INT+2,(%edi)
	movl	%eax,4(%edi)
	movl	%edi,%eax
	movl	-4(%esi),%edx
	movl	$__Tuple+18,(%edx)
	movl	%eax,4(%edx)
	movl	%ecx,8(%edx)
	movl	%edx,%ecx
	addl	$8,%edi
	leal	-4(%esi),%esi
	ret
ea21:
	testb	$2,(%ecx)
	jne	e_20
	call	(%ecx)
e_20:
	.globl	e__memory__mapped__files__sGetCurrentProcess
e__memory__mapped__files__sGetCurrentProcess:
s21:
	movl	%ecx,(%esi)
	leal	4(%esi),%esi
	call	s8
	movl	-4(%esi),%ecx
	leal	-4(%esi),%esi
	ret
s8:
	call	_GetCurrentProcess@0
	ret
e__memory__mapped__files__lDuplicateHandle:
	movl	%ecx,(%esi)
	movl	8(%edx),%ecx
	movl	20(%ecx),%ebp
	movl	%ebp,4(%esi)
	movl	16(%ecx),%ebp
	movl	%ebp,8(%esi)
	movl	12(%ecx),%ebp
	movl	%ebp,12(%esi)
	movl	8(%ecx),%ebp
	movl	%ebp,16(%esi)
	movl	4(%ecx),%ebp
	movl	%ebp,20(%esi)
	movl	(%ecx),%ecx
	movl	4(%edx),%edx
	leal	24(%esi),%esi
	call	ea20
	cmpl	end_heap,%edi
	jae	i_109
i_110:
	movl	$INT+2,(%edi)
	movl	%eax,4(%edi)
	movl	%edi,%eax
	movl	$__Tuple+18,8(%edi)
	movl	%eax,12(%edi)
	movl	%ecx,16(%edi)
	leal	8(%edi),%ecx
	addl	$20,%edi
	ret
	.align	4
	.long	e__memory__mapped__files__dDuplicateHandle
	.long	8
	.globl	e__memory__mapped__files__nDuplicateHandle
e__memory__mapped__files__nDuplicateHandle:
	movl	32(%ecx),%ebp
	movl	%ebp,4(%esi)
	movl	28(%ecx),%ebp
	movl	%ebp,8(%esi)
	movl	24(%ecx),%ebp
	movl	%ebp,12(%esi)
	movl	20(%ecx),%ebp
	movl	%ebp,16(%esi)
	movl	16(%ecx),%ebp
	movl	%ebp,20(%esi)
	movl	12(%ecx),%ebp
	movl	%ebp,24(%esi)
	movl	%ecx,(%esi)
	movl	$__cycle__in__spine,(%ecx)
	movl	4(%ecx),%edx
	movl	8(%ecx),%ecx
	leal	28(%esi),%esi
	call	ea20
	cmpl	end_heap,%edi
	jae	i_111
i_112:
	movl	$INT+2,(%edi)
	movl	%eax,4(%edi)
	movl	%edi,%eax
	movl	-4(%esi),%edx
	movl	$__Tuple+18,(%edx)
	movl	%eax,4(%edx)
	movl	%ecx,8(%edx)
	movl	%edx,%ecx
	addl	$8,%edi
	leal	-4(%esi),%esi
	ret
ea20:
	movl	%ecx,(%esi)
	movl	%edx,%ecx
	movl	-24(%esi),%edx
	leal	4(%esi),%esi
	testb	$2,(%edx)
	jne	e_21
	movl	%ecx,(%esi)
	addl	$4,%esi
	movl	%edx,%ecx
	call	(%edx)
	movl	%ecx,%edx
	movl	-4(%esi),%ecx
	subl	$4,%esi
e_21:
	movl	-24(%esi),%edx
	testb	$2,(%edx)
	jne	e_22
	movl	%ecx,(%esi)
	addl	$4,%esi
	movl	%edx,%ecx
	call	(%edx)
	movl	%ecx,%edx
	movl	-4(%esi),%ecx
	subl	$4,%esi
e_22:
	movl	-20(%esi),%edx
	testb	$2,(%edx)
	jne	e_23
	movl	%ecx,(%esi)
	addl	$4,%esi
	movl	%edx,%ecx
	call	(%edx)
	movl	%ecx,%edx
	movl	-4(%esi),%ecx
	subl	$4,%esi
e_23:
	movl	-16(%esi),%edx
	testb	$2,(%edx)
	jne	e_24
	movl	%ecx,(%esi)
	addl	$4,%esi
	movl	%edx,%ecx
	call	(%edx)
	movl	%ecx,%edx
	movl	-4(%esi),%ecx
	subl	$4,%esi
e_24:
	movl	-12(%esi),%edx
	testb	$2,(%edx)
	jne	e_25
	movl	%ecx,(%esi)
	addl	$4,%esi
	movl	%edx,%ecx
	call	(%edx)
	movl	%ecx,%edx
	movl	-4(%esi),%ecx
	subl	$4,%esi
e_25:
	movl	-8(%esi),%edx
	testb	$2,(%edx)
	jne	e_26
	movl	%ecx,(%esi)
	addl	$4,%esi
	movl	%edx,%ecx
	call	(%edx)
	movl	%ecx,%edx
	movl	-4(%esi),%ecx
	subl	$4,%esi
e_26:
	movl	%ecx,%edx
	movl	-4(%esi),%ecx
	leal	-4(%esi),%esi
	testb	$2,(%ecx)
	jne	e_27
	movl	%edx,(%esi)
	addl	$4,%esi
	call	(%ecx)
	movl	-4(%esi),%edx
	subl	$4,%esi
e_27:
	testb	$2,(%edx)
	jne	e_28
	movl	%ecx,(%esi)
	addl	$4,%esi
	movl	%edx,%ecx
	call	(%edx)
	movl	%ecx,%edx
	movl	-4(%esi),%ecx
	subl	$4,%esi
e_28:
	movl	-20(%esi),%eax
	pushl	4(%eax)
	movl	-16(%esi),%eax
	pushl	4(%eax)
	movl	-12(%esi),%eax
	pushl	4(%eax)
	movl	-4(%esi),%eax
	pushl	4(%eax)
	movl	4(%ecx),%eax
	movl	4(%edx),%ebx
	movl	-8(%esi),%edx
	movl	-24(%esi),%ecx
	leal	-24(%esi),%esi
	.globl	e__memory__mapped__files__sDuplicateHandle
e__memory__mapped__files__sDuplicateHandle:
s20:
	cmpl	$e__memory__mapped__files__dPtr+10,(%edx)
	jne	s20_P1
case_P3:
	movl	4(%edx),%edx
	testb	$2,(%edx)
	jne	e_29
	movl	%ecx,(%esi)
	addl	$4,%esi
	movl	%edx,%ecx
	pushl	%eax
	pushl	%ebx
	call	(%edx)
	popl	%ebx
	popl	%eax
	movl	%ecx,%edx
	movl	-4(%esi),%ecx
	subl	$4,%esi
e_29:
	pushl	4(%edx)
	movl	%ecx,(%esi)
	pushl	4(%esp)
	movl	20(%esp),%ecx
	movl	$e_30,20(%esp)
	movl	16(%esp),%edx
	movl	%ecx,16(%esp)
	movl	12(%esp),%ecx
	movl	%edx,12(%esp)
	movl	%ecx,8(%esp)
	leal	4(%esi),%esi
	jmp	s7
e_30:
	movl	-4(%esi),%ecx
	leal	-4(%esi),%esi
	ret
s20_P1:
	movl	$l_13,%ebx
	movl	$m__memory__mapped__files,%eax
	leal	16(%esp),%esp
	jmp	__match__error
s7:
	pushl	16(%esp)
	pushl	16(%esp)
	pushl	16(%esp)
	pushl	16(%esp)
	pushl	16(%esp)
	pushl	%eax
	pushl	%ebx
	call	_DuplicateHandle@28
	addl	$20,%esp
	ret
e__memory__mapped__files__lMapViewOfFile:
	movl	%ecx,(%esi)
	movl	8(%edx),%ecx
	movl	12(%ecx),%ebp
	movl	%ebp,4(%esi)
	movl	8(%ecx),%ebp
	movl	%ebp,8(%esi)
	movl	4(%ecx),%ebp
	movl	%ebp,12(%esi)
	movl	(%ecx),%ecx
	movl	4(%edx),%edx
	leal	16(%esi),%esi
	call	ea19
	cmpl	end_heap,%edi
	jae	i_113
i_114:
	movl	$INT+2,(%edi)
	movl	%eax,4(%edi)
	movl	%edi,%eax
	movl	$__Tuple+18,8(%edi)
	movl	%eax,12(%edi)
	movl	%ecx,16(%edi)
	leal	8(%edi),%ecx
	addl	$20,%edi
	ret
	.align	4
	.long	e__memory__mapped__files__dMapViewOfFile
	.long	6
	.globl	e__memory__mapped__files__nMapViewOfFile
e__memory__mapped__files__nMapViewOfFile:
	movl	24(%ecx),%ebp
	movl	%ebp,4(%esi)
	movl	20(%ecx),%ebp
	movl	%ebp,8(%esi)
	movl	16(%ecx),%ebp
	movl	%ebp,12(%esi)
	movl	12(%ecx),%ebp
	movl	%ebp,16(%esi)
	movl	%ecx,(%esi)
	movl	$__cycle__in__spine,(%ecx)
	movl	4(%ecx),%edx
	movl	8(%ecx),%ecx
	leal	20(%esi),%esi
	call	ea19
	cmpl	end_heap,%edi
	jae	i_115
i_116:
	movl	$INT+2,(%edi)
	movl	%eax,4(%edi)
	movl	%edi,%eax
	movl	-4(%esi),%edx
	movl	$__Tuple+18,(%edx)
	movl	%eax,4(%edx)
	movl	%ecx,8(%edx)
	movl	%edx,%ecx
	addl	$8,%edi
	leal	-4(%esi),%esi
	ret
ea19:
	movl	%ecx,(%esi)
	movl	%edx,%ecx
	movl	-16(%esi),%edx
	leal	4(%esi),%esi
	testb	$2,(%edx)
	jne	e_31
	movl	%ecx,(%esi)
	addl	$4,%esi
	movl	%edx,%ecx
	call	(%edx)
	movl	%ecx,%edx
	movl	-4(%esi),%ecx
	subl	$4,%esi
e_31:
	movl	-16(%esi),%edx
	testb	$2,(%edx)
	jne	e_32
	movl	%ecx,(%esi)
	addl	$4,%esi
	movl	%edx,%ecx
	call	(%edx)
	movl	%ecx,%edx
	movl	-4(%esi),%ecx
	subl	$4,%esi
e_32:
	movl	-12(%esi),%edx
	testb	$2,(%edx)
	jne	e_33
	movl	%ecx,(%esi)
	addl	$4,%esi
	movl	%edx,%ecx
	call	(%edx)
	movl	%ecx,%edx
	movl	-4(%esi),%ecx
	subl	$4,%esi
e_33:
	movl	-8(%esi),%edx
	testb	$2,(%edx)
	jne	e_34
	movl	%ecx,(%esi)
	addl	$4,%esi
	movl	%edx,%ecx
	call	(%edx)
	movl	%ecx,%edx
	movl	-4(%esi),%ecx
	subl	$4,%esi
e_34:
	movl	%ecx,%edx
	movl	-4(%esi),%ecx
	leal	-4(%esi),%esi
	testb	$2,(%ecx)
	jne	e_35
	movl	%edx,(%esi)
	addl	$4,%esi
	call	(%ecx)
	movl	-4(%esi),%edx
	subl	$4,%esi
e_35:
	testb	$2,(%edx)
	jne	e_36
	movl	%ecx,(%esi)
	addl	$4,%esi
	movl	%edx,%ecx
	call	(%edx)
	movl	%ecx,%edx
	movl	-4(%esi),%ecx
	subl	$4,%esi
e_36:
	movl	-12(%esi),%eax
	pushl	4(%eax)
	movl	-8(%esi),%eax
	pushl	4(%eax)
	movl	-4(%esi),%eax
	pushl	4(%eax)
	movl	4(%ecx),%eax
	movl	4(%edx),%ebx
	movl	-16(%esi),%ecx
	leal	-16(%esi),%esi
	.globl	e__memory__mapped__files__sMapViewOfFile
e__memory__mapped__files__sMapViewOfFile:
s19:
	movl	%ecx,(%esi)
	pushl	(%esp)
	movl	12(%esp),%ecx
	movl	$e_37,12(%esp)
	movl	8(%esp),%edx
	movl	%ecx,8(%esp)
	movl	%edx,4(%esp)
	leal	4(%esi),%esi
	jmp	s6
e_37:
	movl	-4(%esi),%ecx
	leal	-4(%esi),%esi
	ret
s6:
	pushl	8(%esp)
	pushl	8(%esp)
	pushl	8(%esp)
	pushl	%eax
	pushl	%ebx
	call	_MapViewOfFile@20
	addl	$12,%esp
	ret
e__memory__mapped__files__lCreateFileMapping:
	movl	%ecx,(%esi)
	movl	8(%edx),%ecx
	movl	16(%ecx),%ebp
	movl	%ebp,4(%esi)
	movl	12(%ecx),%ebp
	movl	%ebp,8(%esi)
	movl	8(%ecx),%ebp
	movl	%ebp,12(%esi)
	movl	4(%ecx),%ebp
	movl	%ebp,16(%esi)
	movl	(%ecx),%ecx
	movl	4(%edx),%edx
	leal	20(%esi),%esi
	call	ea18
	cmpl	end_heap,%edi
	jae	i_117
i_118:
	movl	$INT+2,(%edi)
	movl	%eax,4(%edi)
	movl	%edi,%eax
	movl	$__Tuple+18,8(%edi)
	movl	%eax,12(%edi)
	movl	%ecx,16(%edi)
	leal	8(%edi),%ecx
	addl	$20,%edi
	ret
	.align	4
	.long	e__memory__mapped__files__dCreateFileMapping
	.long	7
	.globl	e__memory__mapped__files__nCreateFileMapping
e__memory__mapped__files__nCreateFileMapping:
	movl	28(%ecx),%ebp
	movl	%ebp,4(%esi)
	movl	24(%ecx),%ebp
	movl	%ebp,8(%esi)
	movl	20(%ecx),%ebp
	movl	%ebp,12(%esi)
	movl	16(%ecx),%ebp
	movl	%ebp,16(%esi)
	movl	12(%ecx),%ebp
	movl	%ebp,20(%esi)
	movl	%ecx,(%esi)
	movl	$__cycle__in__spine,(%ecx)
	movl	4(%ecx),%edx
	movl	8(%ecx),%ecx
	leal	24(%esi),%esi
	call	ea18
	cmpl	end_heap,%edi
	jae	i_119
i_120:
	movl	$INT+2,(%edi)
	movl	%eax,4(%edi)
	movl	%edi,%eax
	movl	-4(%esi),%edx
	movl	$__Tuple+18,(%edx)
	movl	%eax,4(%edx)
	movl	%ecx,8(%edx)
	movl	%edx,%ecx
	addl	$8,%edi
	leal	-4(%esi),%esi
	ret
ea18:
	movl	%ecx,(%esi)
	movl	%edx,%ecx
	movl	-20(%esi),%edx
	leal	4(%esi),%esi
	testb	$2,(%edx)
	jne	e_38
	movl	%ecx,(%esi)
	addl	$4,%esi
	movl	%edx,%ecx
	call	(%edx)
	movl	%ecx,%edx
	movl	-4(%esi),%ecx
	subl	$4,%esi
e_38:
	movl	-20(%esi),%edx
	testb	$2,(%edx)
	jne	e_39
	movl	%ecx,(%esi)
	addl	$4,%esi
	movl	%edx,%ecx
	call	(%edx)
	movl	%ecx,%edx
	movl	-4(%esi),%ecx
	subl	$4,%esi
e_39:
	movl	-16(%esi),%edx
	testb	$2,(%edx)
	jne	e_40
	movl	%ecx,(%esi)
	addl	$4,%esi
	movl	%edx,%ecx
	call	(%edx)
	movl	%ecx,%edx
	movl	-4(%esi),%ecx
	subl	$4,%esi
e_40:
	movl	-12(%esi),%edx
	testb	$2,(%edx)
	jne	e_41
	movl	%ecx,(%esi)
	addl	$4,%esi
	movl	%edx,%ecx
	call	(%edx)
	movl	%ecx,%edx
	movl	-4(%esi),%ecx
	subl	$4,%esi
e_41:
	movl	-8(%esi),%edx
	testb	$2,(%edx)
	jne	e_42
	movl	%ecx,(%esi)
	addl	$4,%esi
	movl	%edx,%ecx
	call	(%edx)
	movl	%ecx,%edx
	movl	-4(%esi),%ecx
	subl	$4,%esi
e_42:
	movl	%ecx,%edx
	movl	-4(%esi),%ecx
	leal	-4(%esi),%esi
	testb	$2,(%ecx)
	jne	e_43
	movl	%edx,(%esi)
	addl	$4,%esi
	call	(%ecx)
	movl	-4(%esi),%edx
	subl	$4,%esi
e_43:
	testb	$2,(%edx)
	jne	e_44
	movl	%ecx,(%esi)
	addl	$4,%esi
	movl	%edx,%ecx
	call	(%edx)
	movl	%ecx,%edx
	movl	-4(%esi),%ecx
	subl	$4,%esi
e_44:
	movl	-12(%esi),%eax
	pushl	4(%eax)
	movl	-8(%esi),%eax
	pushl	4(%eax)
	movl	4(%edx),%ebx
	movl	-4(%esi),%edx
	movl	4(%edx),%eax
	movl	%ecx,%edx
	movl	-16(%esi),%ecx
	leal	-16(%esi),%esi
	.globl	e__memory__mapped__files__sCreateFileMapping
e__memory__mapped__files__sCreateFileMapping:
s18:
	cmpl	$e__memory__mapped__files__dNULL+2,(%edx)
	jne	s18_P1
case_P4:
	cmpl	$e__memory__mapped__files__dPtr+10,(%ecx)
	jne	case_P6
case_P5:
	movl	4(%ecx),%ecx
	testb	$2,(%ecx)
	jne	e_45
	pushl	%eax
	pushl	%ebx
	call	(%ecx)
	popl	%ebx
	popl	%eax
e_45:
	leal	-8(%esp),%esp
	movl	%eax,(%esp)
	movl	8(%esp),%ebp
	movl	%ebp,4(%esp)
	movl	12(%esp),%eax
	movl	$e_46,12(%esp)
	movl	%eax,8(%esp)
	movl	4(%ecx),%ecx
	movl	$0,%eax
	jmp	s4
e_46:
	movl	-4(%esi),%ecx
	leal	-4(%esi),%esi
	ret
case_P6:
	leal	-12(%esp),%esp
	movl	%eax,(%esp)
	movl	16(%esp),%ebp
	movl	%ebp,8(%esp)
	movl	12(%esp),%ebp
	movl	%ebp,4(%esp)
	movl	$e_47,16(%esp)
	movl	$0,12(%esp)
	movl	$0,%eax
	jmp	s5
e_47:
	movl	-4(%esi),%ecx
	leal	-4(%esi),%esi
	ret
s18_P1:
	movl	$l_15,%ebx
	movl	$m__memory__mapped__files,%eax
	leal	-4(%esi),%esi
	leal	8(%esp),%esp
	jmp	__match__error
s5:
	pushl	12(%esp)
	pushl	12(%esp)
	pushl	12(%esp)
	pushl	12(%esp)
	pushl	%eax
	pushl	%ebx
	call	_CreateFileMappingA@24
	addl	$16,%esp
	ret
s4:
	movl	%ecx,(%esi)
	leal	4(%esi),%esi
	movl	-4(%esi),%ecx
	addl	$8,%ecx
	pushl	%ecx
	pushl	12(%esp)
	pushl	12(%esp)
	pushl	12(%esp)
	pushl	%eax
	pushl	%ebx
	call	_CreateFileMappingA@24
	subl	$4,%esi
	addl	$12,%esp
	ret
e__memory__mapped__files__lGetCurrentDirectory:
	movl	%ecx,(%esi)
	leal	4(%esi),%esi
	jmp	halt
	.align	4
	.long	e__memory__mapped__files__dGetCurrentDirectory
	.long	0
	.globl	e__memory__mapped__files__nGetCurrentDirectory
e__memory__mapped__files__nGetCurrentDirectory:
	movl	%ecx,(%esi)
	movl	$__cycle__in__spine,(%ecx)
	leal	4(%esi),%esi
	call	ea17
	movl	-4(%esi),%edx
	movl	$ARRAY+10,(%edx)
	movl	%ecx,4(%edx)
	movl	%edx,%ecx
	leal	-4(%esi),%esi
	ret
ea17:
	.globl	e__memory__mapped__files__sGetCurrentDirectory
e__memory__mapped__files__sGetCurrentDirectory:
s17:
	lea	12(%edi),%ebp
	cmpl	end_heap,%ebp
	jae	i_121
i_122:
	movl	$e__memory__mapped__files__nGetCurrentDirectory_I76_P3,(%edi)
	movl	$small_integers,4(%edi)
	movl	$e__memory__mapped__files__dNULL-8,8(%edi)
	movl	%edi,%eax
	movl	$n__S_P1,12(%edi)
	movl	%eax,16(%edi)
	leal	12(%edi),%eax
	movl	$e____SystemArray__ncreateArray_I17,24(%edi)
	movl	%eax,28(%edi)
	movl	$static_characters+256,32(%edi)
	leal	24(%edi),%eax
	movl	$e__memory__mapped__files__dPtr+10,36(%edi)
	movl	%eax,40(%edi)
	leal	36(%edi),%ecx
	movl	$100,%eax
	addl	$44,%edi
	call	s3
	cmpl	$0,%eax
	jne	else_P7
	call	e__StdString__stoString_I5
	movl	$l_17,%edx
	call	e__StdString__s_A_A_A_I11
	call	print__string__
	jmp	halt
	movl	-4(%esi),%ecx
	movl	4(%ecx),%ecx
	leal	-4(%esi),%esi
	ret
else_P7:
	movl	4(%ecx),%eax
	subl	$2,%eax
	movl	$0,%ebx
	jmp	e__StdString__s_NP_I10
	.align	4
	.long	e__memory__mapped__files__dGetCurrentDirectory_I76_P3
	.long	2
	.globl	e__memory__mapped__files__nGetCurrentDirectory_I76_P3
e__memory__mapped__files__nGetCurrentDirectory_I76_P3:
	movl	%ecx,(%esi)
	movl	$__cycle__in__spine,(%ecx)
	movl	4(%ecx),%edx
	movl	8(%ecx),%ecx
	leal	4(%esi),%esi
	call	ea3
	cmpl	end_heap,%edi
	jae	i_123
i_124:
	movl	$INT+2,(%edi)
	movl	%eax,4(%edi)
	movl	%edi,%eax
	movl	$ARRAY+10,8(%edi)
	movl	%ecx,12(%edi)
	leal	8(%edi),%ebx
	movl	-4(%esi),%ecx
	movl	$__Tuple+18,(%ecx)
	movl	%eax,4(%ecx)
	movl	%ebx,8(%ecx)
	addl	$16,%edi
	leal	-4(%esi),%esi
	ret
ea3:
	movl	4(%edx),%eax
s3:
	cmpl	$e__memory__mapped__files__dPtr+10,(%ecx)
	jne	case_P9
case_P8:
	movl	4(%ecx),%ebx
	movl	%ebx,%edx
	movl	%ebx,%ecx
	testb	$2,(%edx)
	jne	e_48
	movl	%ecx,(%esi)
	addl	$4,%esi
	movl	%edx,%ecx
	pushl	%eax
	call	(%edx)
	popl	%eax
	movl	%ecx,%edx
	movl	-4(%esi),%ecx
	subl	$4,%esi
e_48:
	movl	4(%edx),%ebp
	movl	%ebp,(%esi)
	movl	4(%ecx),%ecx
	leal	4(%esi),%esi
	call	s1
	movl	-4(%esi),%ecx
	leal	-4(%esi),%esi
	ret
case_P9:
	movl	%eax,%ebx
	movl	$0,%eax
	call	s2
	movl	$l_19,%ecx
	ret
s2:
	pushl	%eax
	pushl	%ebx
	call	_GetCurrentDirectoryA@8
	ret
s1:
	movl	%ecx,(%esi)
	leal	4(%esi),%esi
	movl	-4(%esi),%ecx
	addl	$8,%ecx
	pushl	%ecx
	pushl	%eax
	call	_GetCurrentDirectoryA@8
	subl	$4,%esi
	ret
e__memory__mapped__files__lGetLastError:
	movl	%ecx,(%esi)
	leal	4(%esi),%esi
	jmp	halt
	.align	4
	.long	e__memory__mapped__files__dGetLastError
	.long	0
	.globl	e__memory__mapped__files__nGetLastError
e__memory__mapped__files__nGetLastError:
	movl	%ecx,(%esi)
	movl	$__cycle__in__spine,(%ecx)
	leal	4(%esi),%esi
	call	ea16
	movl	-4(%esi),%ecx
	movl	$INT+2,(%ecx)
	movl	%eax,4(%ecx)
	leal	-4(%esi),%esi
	ret
ea16:
	.globl	e__memory__mapped__files__sGetLastError
e__memory__mapped__files__sGetLastError:
s16:
	call	_GetLastError@0
	ret
e__memory__mapped__files__lCloseST:
	call	ea15
	cmpl	end_heap,%edi
	jae	i_125
i_126:
	movl	$BOOL+2,(%edi)
	movl	%eax,4(%edi)
	movl	%edi,%ecx
	addl	$8,%edi
	ret
	.align	4
	.long	e__memory__mapped__files__dCloseST
	.long	1
	.globl	e__memory__mapped__files__nCloseST
e__memory__mapped__files__nCloseST:
	movl	%ecx,(%esi)
	movl	$__cycle__in__spine,(%ecx)
	movl	4(%ecx),%ecx
	leal	4(%esi),%esi
	call	ea15
	movl	-4(%esi),%ecx
	movl	$BOOL+2,(%ecx)
	movl	%eax,4(%ecx)
	leal	-4(%esi),%esi
	ret
ea15:
	testb	$2,(%ecx)
	jne	e_49
	call	(%ecx)
e_49:
	.globl	e__memory__mapped__files__sCloseST
e__memory__mapped__files__sCloseST:
s15:
	movl	$1,%eax
	ret
e__memory__mapped__files__linitialState:
	movl	%ecx,(%esi)
	leal	4(%esi),%esi
	jmp	halt
	.align	4
	movl	$e__memory__mapped__files__eainitialState,%ebp
	jmp	eval_upd_0
	nop
	nop
	.long	e__memory__mapped__files__dinitialState
	.long	0
	.globl	e__memory__mapped__files__ninitialState
e__memory__mapped__files__ninitialState:
	movl	$__cycle__in__spine,(%ecx)
	.globl	e__memory__mapped__files__eainitialState
e__memory__mapped__files__eainitialState:
	.globl	e__memory__mapped__files__sinitialState
e__memory__mapped__files__sinitialState:
s14:
	movl	$e__memory__mapped__files__dST+2,(%ecx)
	ret
i_81:
	call	collect_2
	jmp	i_82
i_83:
	call	collect_2
	jmp	i_84
i_85:
	call	collect_2
	jmp	i_86
i_87:
	call	collect_1
	jmp	i_88
i_89:
	call	collect_1
	jmp	i_90
i_91:
	call	collect_1
	jmp	i_92
i_93:
	call	collect_1
	jmp	i_94
i_95:
	call	collect_1
	jmp	i_96
i_97:
	call	collect_1
	jmp	i_98
i_99:
	call	collect_1
	jmp	i_100
i_101:
	call	collect_1
	jmp	i_102
i_103:
	call	collect_1
	jmp	i_104
i_105:
	call	collect_1
	jmp	i_106
i_107:
	call	collect_1
	jmp	i_108
i_109:
	call	collect_1
	jmp	i_110
i_111:
	call	collect_1
	jmp	i_112
i_113:
	call	collect_1
	jmp	i_114
i_115:
	call	collect_1
	jmp	i_116
i_117:
	call	collect_1
	jmp	i_118
i_119:
	call	collect_1
	jmp	i_120
i_121:
	call	collect_0l
	jmp	i_122
i_123:
	call	collect_1
	jmp	i_124
i_125:
	call	collect_0
	jmp	i_126
